﻿@model Portal_Proveedor.Models.Registro.Registro
@{
    ViewBag.Title = "OlvidoClave";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<br />
<div class="cotainer">
    <form class="form-horizontal">
        @Html.AntiForgeryToken()
        <fieldset>
            <!-- Form Name -->

            <div class="card-header">
                <legend>Olvid&oacute; su clave</legend>

            </div>
            <!-- Text input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="email">Usuario</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.UserName, null, new { id = "usuario", name = "usuario", type = "text", placeholder = "Usuario", @class = "form-control input-md", required = "" })


                </div>
            </div>
            <!-- Password input-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="password">Correo electr&oacute;nico</label>
                <div class="col-md-4">
                    @Html.TextBoxFor(m => m.correo, null, new { id = "correo", name = "correo", type = "text", placeholder = "correo@ejemplo.com", @class = "form-control input-md", required = "" })

                </div>
            </div>



            <!-- Button (Double) -->
            <div class="form-group">
                <label class="col-md-4 control-label" for="save"></label>
                <div class="col-md-8">
                    <a id="save" name="save" class="btn btn-warning" onclick="CambioClave()">Enviar</a>
                </div>
            </div>
            <br />
            <br />
            <div class="form-group">
                <p class="col-md-8">
                    Una vez validemos la información, la clave se estar&aacute; enviando a su correo electr&oacute;nico.

                </p>
            </div>
            <br />
            <br />

        </fieldset>

    </form>
</div>

<script type="text/javascript">

    $(document).ready(function () {

    });

    var CambioClave = function () {
        $.ajax({
            type: "POST",
            async: false,
            url: '@Url.Action("RegenerarClave", "Registro")',
            data: {
                UserName: $("#usuario").val(),
                correo: $("#correo").val()
            },
            success: function (data) {
                if (data === "Se ha enviado un correo con las indicaciones para cambiar la clave.") {
                    //Alerta("success", "Se ha enviado un correo con las indicaciones para cambiar la clave.", 'top');
                    alert("Se ha enviado un correo con las indicaciones para cambiar la clave.");
                    $("#usuario").val("");
                    $("#correo").val("");
                }
                else {
                    //Alerta("error", "Ha ocurrido un error, por favor verifique los datos e inténtelo de nuevo.", 'top');
                    alert("Ha ocurrido un error, por favor verifique los datos e inténtelo de nuevo.");
                }
            }
        });
    };

</script>

